#ifndef debug_h
#define debug_h

#ifdef _MSC_VER
# pragma warning(disable:4786)
# pragma warning(disable:4503) // warning: decorated name length exceeded
#endif

#include <cassert>


#define assert_pointer(X)  assert((X) != NULL)

#define assert_range(X, Low, High)  assert(((X) >= (Low)) && ((X) < (High)))

#define assert_range_inc(X, Low, High)  \
  assert(((X) >= (Low)) && ((X) <= (High)))


#endif
